import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:rothko_mobile/cache.dart';

class PeopleWordmark extends StatelessWidget {
  final String? urlType;

  PeopleWordmark({this.urlType});

  @override
  Widget build(BuildContext context) {
    return Container(
        height: 25.0,
        width: 80.0,
        child: Center(
            child: Image.asset((RothkoCache.getTheme!(context) == ThemeMode.light
                ? urlType
                : 'assets/img/people_wordmark_dark.png')!)));
  }
}
