import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class Switches extends StatefulWidget {
  bool isSwitched;
  bool disabled;
  Color color;

  Switches(
      {this.isSwitched = false,
      this.color = kPrimaryBase,
      this.disabled = false});

  @override
  _SwitchesState createState() => _SwitchesState();
}

class _SwitchesState extends State<Switches> {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Switch(
        value: widget.isSwitched,
        onChanged: (value) {
          setState(() {
            widget.isSwitched = value;
            print(widget.isSwitched);
          });
        },
        inactiveThumbColor:
            widget.disabled ? kDarkNeutralLighten4 : kDarkNeutralLighten3,
        inactiveTrackColor:
            widget.disabled ? kDarkNeutralLighten4 : kDarkNeutralLighten5,
        activeColor: widget.disabled ? kDarkNeutralLighten4 : widget.color,
        activeTrackColor: widget.disabled
            ? kDarkNeutralLighten4
            : widget.color == kPrimaryBase
                ? kPrimaryLighten3
                : widget.color == kSuccessBase
                    ? kSuccessLighten3
                    : widget.color == kAccentBase
                        ? kAccentLighten3
                        : widget.color == kWarningBase
                            ? kWarningLighten3
                            : widget.color == kErrorBase
                                ? kErrorLighten3
                                : kPrimaryBase,
      ),
    );
  }
}
